Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class ChatCompletionRequestFunctionMessage

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.ChatCompletionRequestFunctionMessage

All Implemented Interfaces:
  `ChatCompletionRequestMessage`

@Deprecated public class ChatCompletionRequestFunctionMessage extends Object implements ChatCompletionRequestMessage
Deprecated.
ChatCompletionRequestFunctionMessage

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ChatCompletionRequestFunctionMessage.RoleEnum`
  Deprecated.
  The role of the messages author, in this case `function`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatCompletionRequestFunctionMessage()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChatCompletionRequestFunctionMessage`
  `content(String content)`
  Deprecated.
  Set the content of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `String`
  `getContent()`
  Deprecated.
  The contents of the function message.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Deprecated.
  Get the names of the unrecognizable properties of the `ChatCompletionRequestFunctionMessage`.
  `String`
  `getName()`
  Deprecated.
  The name of the function to call.
  `ChatCompletionRequestFunctionMessage.RoleEnum`
  `getRole()`
  Deprecated.
  The role of the messages author, in this case `function`.
  `int`
  `hashCode()`
  Deprecated.
  `ChatCompletionRequestFunctionMessage`
  `name(String name)`
  Deprecated.
  Set the name of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
  `ChatCompletionRequestFunctionMessage`
  `role(ChatCompletionRequestFunctionMessage.RoleEnum role)`
  Deprecated.
  Set the role of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
  `void`
  `setContent(String content)`
  Deprecated.
  Set the content of this `ChatCompletionRequestFunctionMessage` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Deprecated.
  Set an unrecognizable property of this `ChatCompletionRequestFunctionMessage` instance.
  `void`
  `setName(String name)`
  Deprecated.
  Set the name of this `ChatCompletionRequestFunctionMessage` instance.
  `void`
  `setRole(ChatCompletionRequestFunctionMessage.RoleEnum role)`
  Deprecated.
  Set the role of this `ChatCompletionRequestFunctionMessage` instance.
  `Map<String,Object>`
  `toMap()`
  Deprecated.
  Get the value of all properties of this `ChatCompletionRequestFunctionMessage` instance including unrecognized properties.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChatCompletionRequestFunctionMessage

    public ChatCompletionRequestFunctionMessage()
    Deprecated.

- ## Method Details

  - ### role

    @Nonnull public ChatCompletionRequestFunctionMessage role(@Nonnull ChatCompletionRequestFunctionMessage.RoleEnum role)
    Deprecated.
    Set the role of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
    Parameters:
      `role` - The role of the messages author, in this case `function`.
    Returns:
      The same instance of this `ChatCompletionRequestFunctionMessage` class

  - ### getRole

    @Nonnull public ChatCompletionRequestFunctionMessage.RoleEnum getRole()
    Deprecated.
    The role of the messages author, in this case `function`.
    Returns:
      role The role of this `ChatCompletionRequestFunctionMessage` instance.

  - ### setRole

    public void setRole(@Nonnull ChatCompletionRequestFunctionMessage.RoleEnum role)
    Deprecated.
    Set the role of this `ChatCompletionRequestFunctionMessage` instance.
    Parameters:
      `role` - The role of the messages author, in this case `function`.

  - ### content

    @Nonnull public ChatCompletionRequestFunctionMessage content(@Nullable String content)
    Deprecated.
    Set the content of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
    Parameters:
      `content` - The contents of the function message.
    Returns:
      The same instance of this `ChatCompletionRequestFunctionMessage` class

  - ### getContent

    @Nullable public String getContent()
    Deprecated.
    The contents of the function message.
    Returns:
      content The content of this `ChatCompletionRequestFunctionMessage` instance.

  - ### setContent

    public void setContent(@Nullable String content)
    Deprecated.
    Set the content of this `ChatCompletionRequestFunctionMessage` instance.
    Parameters:
      `content` - The contents of the function message.

  - ### name

    @Nonnull public ChatCompletionRequestFunctionMessage name(@Nonnull String name)
    Deprecated.
    Set the name of this `ChatCompletionRequestFunctionMessage` instance and return the same instance.
    Parameters:
      `name` - The name of the function to call.
    Returns:
      The same instance of this `ChatCompletionRequestFunctionMessage` class

  - ### getName

    @Nonnull public String getName()
    Deprecated.
    The name of the function to call.
    Returns:
      name The name of this `ChatCompletionRequestFunctionMessage` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Deprecated.
    Set the name of this `ChatCompletionRequestFunctionMessage` instance.
    Parameters:
      `name` - The name of the function to call.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Deprecated.
    Get the names of the unrecognizable properties of the `ChatCompletionRequestFunctionMessage`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ChatCompletionRequestFunctionMessage` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Deprecated.
    Get the value of all properties of this `ChatCompletionRequestFunctionMessage` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Deprecated.
    Set an unrecognizable property of this `ChatCompletionRequestFunctionMessage` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`